/*++

Copyright (c) American Megatrends India (P) Ltd.  All rights reserved.

Module Name:

    TPublic.h

Abstract:

Environment:

    Kernel & User mode

--*/

#include <initguid.h>

//
// Define an Interface Guid for SJA1000 device.
// This GUID is used to register (IoRegisterDeviceInterface)
// an instance of an interface so that user application
// can control the toaster device.
//

DEFINE_GUID (GUID_DEVINTERFACE_SJA1000,
    0x23c238df, 0xea2a, 0x4f59, 0x80, 0x14, 0xdc, 0xbc, 0x15, 0x6, 0xdb, 0xac);
// {23C238DF-EA2A-4f59-8014-DCBC1506DBAC}

//
// Define an Interface Guid for CAN device.
// This GUID is used to register (IoRegisterDeviceInterface)
// an instance of an interface so that user application
// can control the toaster device.
//

DEFINE_GUID (GUID_DEVINTERFACE_CAN,
    0x90874e48, 0xa217, 0x4738, 0xb5, 0xd2, 0x54, 0xbf, 0x48, 0x68, 0x8a, 0xd5);
// {90874E48-A217-4738-B5D2-54BF48688AD5}


//
// GUID definition are required to be outside of header inclusion pragma to avoid
// error during precompiled headers.
//

#ifndef PUBLIC_H
#define PUBLIC_H

#define IOCTL_SET_BAUD_RATE      CTL_CODE(FILE_DEVICE_UNKNOWN, 0x800, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_SET_MEM        	 CTL_CODE(FILE_DEVICE_UNKNOWN, 0x801, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_WRITE        		 CTL_CODE(FILE_DEVICE_UNKNOWN, 0x802, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_READ       		 CTL_CODE(FILE_DEVICE_UNKNOWN, 0x803, METHOD_BUFFERED, FILE_ANY_ACCESS)

typedef struct _VERSION_INFO
{
	unsigned long ilVer;

	unsigned char rData[10];
	unsigned char fi;

	long baud_rate;

}VERSION_INFO,*PVERSION_INFO;


#endif

